# `PhoenixKit.Migrations.Postgres.V48`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit/migrations/postgres/v48.ex#L1)

V48: Post and Comment Dislikes

Adds dislike functionality to the blogging module for both posts and comments.

## Changes

- Creates `phoenix_kit_post_dislikes` table for post dislikes
- Creates `phoenix_kit_comment_likes` table for comment likes
- Creates `phoenix_kit_comment_dislikes` table for comment dislikes
- Adds `dislike_count` column to `phoenix_kit_posts`
- Adds `dislike_count` column to `phoenix_kit_post_comments`

## Usage

Frontend developers can choose to display:
- Likes only
- Dislikes only
- Both likes and dislikes
- Net score (likes - dislikes)

# `down`

# `up`

---

*Consult [api-reference.md](api-reference.md) for complete listing*
